summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2019-07-06 16:44:49 +0100
committerSean Whitton <spwhitton@spwhitton.name>2019-07-07 09:54:19 +0100
commit5773b7ee8ee79f71bc6f46ceaa502803ea4b59c0 (patch)
tree9582eb725586259f33f8a6198e58c81ba3ae5f0c /tests
parent6fabc803cce029814512b9246403812e4c093f50 (diff)
test suite: tagupl-native: New test
Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
Diffstat (limited to 'tests')
-rwxr-xr-xtests/tests/tagupl-native32
1 files changed, 32 insertions, 0 deletions
diff --git a/tests/tests/tagupl-native b/tests/tests/tagupl-native
new file mode 100755
index 0000000..7d79f06
--- /dev/null
+++ b/tests/tests/tagupl-native
@@ -0,0 +1,32 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-dependencies git-debpush
+
+t-debpolicy
+
+t-archive-none example
+t-git-none
+t-worktree 1.1
+
+v=1.0-1
+
+t-tagupl-settings
+
+cd $p
+git checkout -B master
+
+printf '%s\n' -sn >debian/source/options
+git add debian/source/options
+git rm -f debian/source/format
+git commit -m 'convert to 1.0 native'
+
+tagname=test-dummy/$v
+
+t-tagupl-test --no-push
+
+# xxx test pushing
+# todo: test each miss/rejection
+
+t-ok